Qt 5.6 | Qt 3D | C++ Classes | QStencilOp

Qt 5.6.3 Reference Documentation

# QStencilOp Class

(Qt3DRender::QStencilOp)

Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- back : Qt3DRender::QStencilOpSeparate * const
- front : Qt3DRender::QStencilOpSeparate * const

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QStencilOp(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QStencilOp()
QStencilOpSeparate * | back() const
QStencilOpSeparate * | front() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 public slots inherited from Qt3DCore::QNode
- 2 signals inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### back : Qt3DRender::QStencilOpSeparate * const

Access functions:

QStencilOpSeparate * | back() const

### front : Qt3DRender::QStencilOpSeparate * const

Access functions:

QStencilOpSeparate * | front() const

## Member Function Documentation

### QStencilOp::QStencilOp(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QStencilOp.

### QStencilOp::~QStencilOp()

Destroys the instance of QStencilOp.

### `[protected]` void QStencilOp::copy(const Qt3DCore::QNode *ref)